通过订单id获取中台订单商品发货状态
GET /app/order/cloud/send/info只能查询当前应用绑定供应商的订单,参数通过 query 传递。
| 字段 | 名称 | 类型 | 是否必须 |
| id | 订单id | int | 是 |
金额单位都是分
send_info:
| 字段 | 名称 | 类型 | 是否必须 |
| sent_count | 发货数量 | ||
| not_send_count | 没有发货数量 | ||
| id | 订单id | ||
| status_name | 订单状态 | ||
| send_status_name | 发货状态 | ||
| order_items | 订单商品信息 | array | |
| shipping_address | 收货信息 |
order_items:
| 字段 | 名称 | 类型 | 是否必须 |
| id | 订单子表id | ||
| image_url | 商品主图 | ||
| product_id | 商品id | ||
| title | 商品名称 | ||
| sku_title | 商品规格 | ||
| qty | 数量 | ||
| send_status | 发货状态 0待发货 1发货 | ||
| order_express | 发货信息 | ||
| product | 商品信息 具体可查看商品详情API | array | |
{ "code": 0, "data": { "send_info": { "sent_count": 0, "not_send_count": 1, "id": 359, "status_name": "待发货", "send_status_name": "待发货", "order_items": [ { "id": 439, "image_url": "https://fjfff-1301507422.cos.ap-guangzhou.myqcloud.com/images/5/2020/07/CMNpnmluMBum44LbeEtmEPuzpN33al.png", "product_id": 1028336, "title": "奖品专享--不限食压片糖果科学减脂无需节食--八月初发货介意者勿拍 !", "sku_title": "默认", "qty": 1, "send_status": 0, "send_status_name": "待发货", "order_express": { "express_no": "", "company_code": "", "company_name": "", "created_at": null, "order_items": null }, "product": { "id": 0, "created_at": null, "updated_at": null, "title": "", "origin_price": 0, "guide_price": 0, "price": 0, "cost_price": 0, "activity_price": 0, "stock": 0, "sales": 0, "feedback_rate": 0, "sn": "", "is_new": 0, "is_recommend": 0, "is_hot": 0, "is_promotion": 0, "is_display": 0, "desc": "", "image_url": "", "unit": "", "barcode": "", "long": 0, "wide": 0, "high": 0, "volume": 0, "freight": 0, "freight_type": 0, "maxPrice": 0, "minPrice": 0, "gallery": null, "qualifications": null, "detail_images": "", "attrs": null, "supplier": { "id": 0, "name": "" }, "gather_supply": { "id": 0, "name": "" }, "brand_id": 0, "supplier_id": 0, "gather_supply_id": 0, "category1_id": 0, "category2_id": 0, "category3_id": 0, "freight_template_id": 0, "source": 0, "source_goods_id": 0, "freeze": 0, "shop_level": 0, "des_level": 0, "express_level": 0, "level": 0 } } ], "shipping_address": { "id": 296, "realname": "32131321", "mobile": "18249104358", "country_id": 86, "province_id": 11, "city_id": 1101, "county_id": 110101, "town_id": 110101001, "province": "北京市", "city": "市辖区", "county": "东城区", "town": "东华门街道", "detail": "321321", "lng": "", "lat": "" } } }, "msg": "操作成功"}